package cn.com.qmth.examcloud.core.oe.admin.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordForMarkingEntity;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月17日 下午3:57:58
 * @company 	QMTH
 * @description ExamRecordForMarkingService.java
 */
public interface ExamRecordForMarkingService {

	/**
	 * 获取 有效考试记录
	 */
	List<ExamRecordForMarkingEntity> queryValidExamRecordList(Long examId, Long courseId);
	
	/**
	 * 根据条件查询阅卷需要的信息
	 * @param id
	 * @param examId
	 * @param courseId
	 * @param batchNum
	 * @return
	 */
	List<ExamRecordForMarkingEntity> findExamRecordForMarkingInfo(Long id, Long examId, Long courseId,String batchNum);

	List<ExamRecordForMarkingEntity> queryValidExamRecordInfoByStuIds(Long examId, Long courseId,
			List<Long> examStudentIds,String batchNum);
	
}
